Page MenuHomePhabricator

Fix tab behaviour when using two edit tabs with NWE
Closed, ResolvedPublic1 Story Points

Description

  • Clicking 'edit' from NWE does nothing
  • Clicking 'edit source' from read mode highlights the wrong tab (or loading veaction=editsource)
  • Clicking 'edit source' from read mode gives you the VE URL, so reloading takes you back to VE

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterSwitch from NWE to VE using 'Edit' tab
mediawiki/extensions/VisualEditor : masterUpdate tab and history state when switching between NWE & VE

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
ResolvedJules78120
OpenNone
ResolvedDannyH
OpenNone
OpenEsanders
OpenNone
OpenEsanders
ResolvedJdforrester-WMF
ResolvedEsanders
ResolvedEsanders

Event Timeline

Esanders created this task.Aug 22 2016, 5:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2016, 5:43 PM
Esanders removed Esanders as the assignee of this task.Aug 22 2016, 5:46 PM
Esanders renamed this task from When using two edit tabs, clicking 'edit' from NWE does nothing to Fix tab behaviour when using two edit tabs with NWE.Aug 22 2016, 6:03 PM
Esanders updated the task description. (Show Details)
Esanders added a subscriber: Krenair.
Krenair edited subscribers, added: AlexMonk-WMF; removed: Krenair.Aug 22 2016, 10:34 PM
Esanders claimed this task.Aug 25 2016, 8:38 PM

Change 306798 had a related patch set uploaded (by Esanders):
Update tab and history state when switching between NWE & VE

https://gerrit.wikimedia.org/r/306798

Jdforrester-WMF set the point value for this task to 1.Aug 31 2016, 7:17 PM

Change 306798 merged by jenkins-bot:
Update tab and history state when switching between NWE & VE

https://gerrit.wikimedia.org/r/306798

Jdforrester-WMF closed this task as Resolved.Sep 2 2016, 9:39 PM

Change 308907 had a related patch set uploaded (by Esanders):
Switch from NWE to VE using 'Edit' tab

https://gerrit.wikimedia.org/r/308907

Change 308907 merged by jenkins-bot:
Switch from NWE to VE using 'Edit' tab

https://gerrit.wikimedia.org/r/308907